Skip to main content
GET
/
ridership
/
route-setups
[beta] List ridership route setups.
curl --request GET \
  --url https://api.samsara.com/ridership/route-setups \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountId": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
      "createdAtTime": "2024-11-15T10:00:00Z",
      "passengers": [
        {
          "passengerId": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
          "dropOffStopId": "790",
          "pickUpStopId": "789"
        }
      ],
      "routeId": "123456",
      "updatedAtTime": "2024-11-15T10:30:00Z"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string
required

The Samsara UUID of the ridership account to list route setups for.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:512

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512

Response

OK response.

data
object[]
required

List of ridership route setups

pagination
object
required

Pagination parameters.